import 'package:ametory_ui/src/models/chat/chat.dart';
import 'package:flutter/material.dart';

import '../../../ametory_ui.dart';

class ReplyWidget extends StatelessWidget {
  final MyChatMessage msg;
  final Function()? onTap;
  const ReplyWidget({Key? key, required this.msg, this.onTap})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.only(top: 10),
      padding: const EdgeInsets.all(10),
      decoration: const BoxDecoration(
          color: Colors.black54,
          border: Border(left: BorderSide(color: Colors.white, width: 5))),
      child: Row(
        children: [
          Expanded(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(
                  msg.user!.firstName ?? "",
                  style: MyTypo.heading4.copyWith(color: Colors.white),
                ),
                Text(
                  msg.text,
                  style: MyTypo.bodyText1.copyWith(color: Colors.white),
                ),
              ],
            ),
          ),
          if (onTap != null)
            IconButton(
                onPressed: onTap,
                icon: const Icon(Icons.close_rounded, color: Colors.white)),
        ],
      ),
    );
  }
}
